%global plugin exploitable
%global snapshot 20210920gitab64075
%global gdb_data /usr/share/gdb/python/%{plugin}
%global gdb_init /etc/gdbinit.d

# The tarball is created like this:
# git clone https://github.com/jfoote/exploitable.git
# tar --exclude=.* -cvf exploitable.tar exploitable/*
# gzip --best exploitable.tar
# Then the snapshot global is updated to meet fedora guidelines

Name: gdb-%{plugin}
Version: 1.32
Release: 19.%{snapshot}%{?dist}
Summary: GDB extension for exploitability
License: MIT MIT-CMU BSD-3-Clause
URL: https://github.com/jfoote/exploitable
Source0: %{plugin}.tar.gz
Source1: %{name}.gdb
Source2: README.fedora
Patch1: exploitable-distutils.patch
%if 0%{?fedora}
ExclusiveArch: x86_64 i386
%else
# Epel does not have i386 targets
ExclusiveArch: x86_64 noarch
%endif
BuildArch: noarch
Requires: gdb

%description
'exploitable' is a GDB extension that classifies Linux application bugs
by severity. The extension inspects the state of a Linux application that
has crashed and outputs a summary of how difficult it might be for an
attacker to exploit the underlying software bug to gain control of the
system. The extension can be used to prioritize bugs for software developers
so that they can address the most severe ones first.

%prep
%setup -q -n %{plugin}
%patch1 -p1

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{gdb_data}
cp -ra exploitable/* %{buildroot}%{gdb_data}
rm -rf %{buildroot}%{gdb_data}/tests
mkdir -p %{buildroot}%{gdb_init}
cp %{SOURCE1} %{buildroot}%{gdb_init}
cp %{SOURCE2} .

%files
%doc README.md AUTHORS.txt README.fedora
%license LICENSE.md
%dir %{gdb_data}
%{gdb_data}/*
%config(noreplace) %{gdb_init}/*

%changelog
* Wed Jan 24 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.32-19.20210920gitab64075
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jan 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.32-18.20210920gitab64075
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Wed Jul 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.32-17.20210920gitab64075
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Mon Mar 06 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.32-16.20210920gitab64075
- migrated to SPDX license

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.32-14.20210920gitab64075
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Sat May 07 2022 Steve Grubb <sgrubb@redhat.com> 1.32-13.20210920gitab64075
- Fix distutils DeprecationWarning

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.32-12.20210920gitab64075
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Mon Sep 20 2021 Steve Grubb <sgrubb@redhat.com> 1.32-11.20210920gitab64075
- New snapshot

* Wed Jul 21 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.32-10.20170717git35b742d
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.32-9.20170717git35b742d
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.32-8.20170717git35b742d
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue Jan 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.32-7.20170717git35b742d
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.32-6.20170717git35b742d
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Thu Jan 31 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.32-5.20170717git35b742d
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.32-4.20170717git35b742d
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.32-3.20170717git35b742d
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.32-2.20170717git35b742d
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Thu Jul 20 2017 Steve Grubb <sgrubb@redhat.com> 1.32-1.20170717git35b742d 
- Initial build

